package ru.ldeloff.servermonitorbot.repository;

import com.jcraft.jsch.JSchException;
import com.jcraft.jsch.Session;
import org.telegram.telegrambots.meta.api.methods.send.SendMessage;
import ru.ldeloff.servermonitorbot.model.SshServer;

import java.util.List;

public interface SshRepository {
    void connectToAllServer();
    Session connectToServer(SshServer sshServer) throws JSchException;
    void disconnectSessions();
    String getStatusSessions();
    List<SshServer> getSshServers();
}
